Index: TXM/trunk/org.txm.groovy.rcp/plugin.xml
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/plugin.xml	(revision 3604)
+++ TXM/trunk/org.txm.groovy.rcp/plugin.xml	(revision 3605)
@@ -6,14 +6,14 @@
          point="org.eclipse.ui.views">
       <category
             name="%category.name"
-            id="org.txm.groovy.rcp">
+            id="org.txm.groovy.ide.rcp">
       </category>
       <view
             name="%view.name"
             icon="icons/sample.gif"
-            category="org.txm.groovy.rcp"
-            class="org.txm.groovy.rcp.views.SampleView"
-            id="org.txm.groovy.rcp.views.SampleView">
+            category="org.txm.groovy.ide.rcp"
+            class="org.txm.groovy.ide.rcp.views.SampleView"
+            id="org.txm.groovy.ide.rcp.views.SampleView">
       </view>
    </extension>
    <extension point="org.eclipse.ui.activities">  
@@ -41,7 +41,7 @@
                ratio="0.5"
                relative="org.eclipse.ui.views.ProblemView"
                relationship="right"
-               id="org.txm.groovy.rcp.views.SampleView">
+               id="org.txm.groovy.ide.rcp.views.SampleView">
          </view>
       </perspectiveExtension>
    </extension>
Index: TXM/trunk/org.txm.groovy.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/META-INF/MANIFEST.MF	(revision 3604)
+++ TXM/trunk/org.txm.groovy.rcp/META-INF/MANIFEST.MF	(revision 3605)
@@ -1,6 +1,7 @@
 Manifest-Version: 1.0
-Bundle-SymbolicName: org.txm.groovy.rcp;singleton:=true
-Export-Package: org.txm.groovy.rcp,org.txm.groovy.rcp.views
+Bundle-SymbolicName: org.txm.groovy.ide.rcp;singleton:=true
+Export-Package: org.txm.groovy.ide.rcp,
+ org.txm.groovy.ide.rcp.views
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
 Require-Bundle: org.eclipse.core.runtime;visibility:=reexport,org.ecli
@@ -8,7 +9,7 @@
  ";visibility:=reexport,org.codehaus.groovy.eclipse.ui;bundle-version=
  "2.9.1";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-Activator: org.txm.groovy.rcp.Activator
+Bundle-Activator: org.txm.groovy.ide.rcp.Activator
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Vendor: Textometry.org
 Automatic-Module-Name: org.txm.groovy.rcp
Index: TXM/trunk/org.txm.groovy.rcp/.project
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/.project	(revision 3604)
+++ TXM/trunk/org.txm.groovy.rcp/.project	(revision 3605)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>org.txm.groovy.rcp</name>
+	<name>org.txm.groovy.ide.rcp</name>
 	<comment></comment>
 	<projects>
 	</projects>
Index: TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/ide/rcp/Activator.java
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/ide/rcp/Activator.java	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/ide/rcp/Activator.java	(revision 3605)
@@ -0,0 +1,18 @@
+package org.txm.groovy.ide.rcp;
+
+import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.osgi.framework.BundleContext;
+
+public class Activator extends AbstractUIPlugin {
+	
+	public Activator() {
+		// TODO Auto-generated constructor stub
+	}
+	
+	@Override
+	public void start(BundleContext context) throws Exception {
+		super.start(context);
+		
+		System.out.println("DISABLE CONTRIBUTIONS");
+	}
+}

Property changes on: TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/ide/rcp/Activator.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/ide/rcp/views/SampleView.java
===================================================================
--- TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/ide/rcp/views/SampleView.java	(revision 0)
+++ TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/ide/rcp/views/SampleView.java	(revision 3605)
@@ -0,0 +1,201 @@
+package org.txm.groovy.ide.rcp.views;
+
+
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.ui.part.*;
+import org.eclipse.jface.viewers.*;
+import org.eclipse.swt.graphics.Image;
+import org.eclipse.jface.action.*;
+import org.eclipse.jface.dialogs.MessageDialog;
+import org.eclipse.ui.*;
+import org.eclipse.swt.widgets.Menu;
+import org.eclipse.swt.SWT;
+
+
+/**
+ * This sample class demonstrates how to plug-in a new
+ * workbench view. The view shows data obtained from the
+ * model. The sample creates a dummy model on the fly,
+ * but a real implementation would connect to the model
+ * available either in this or another plug-in (e.g. the workspace).
+ * The view is connected to the model using a content provider.
+ * <p>
+ * The view uses a label provider to define how model
+ * objects should be presented in the view. Each
+ * view can present the same model objects using
+ * different labels and icons, if needed. Alternatively,
+ * a single label provider can be shared between views
+ * in order to ensure that objects of the same type are
+ * presented in the same way everywhere.
+ * <p>
+ */
+
+public class SampleView extends ViewPart {
+	
+	/**
+	 * The ID of the view as specified by the extension.
+	 */
+	public static final String ID = "org.txm.groovy.rcp.views.SampleView";
+	
+	private TableViewer viewer;
+	
+	private Action action1;
+	
+	private Action action2;
+	
+	private Action doubleClickAction;
+	
+	/*
+	 * The content provider class is responsible for
+	 * providing objects to the view. It can wrap
+	 * existing objects in adapters or simply return
+	 * objects as-is. These objects may be sensitive
+	 * to the current input of the view, or ignore
+	 * it and always show the same content
+	 * (like Task List, for example).
+	 */
+	
+	class ViewContentProvider implements IStructuredContentProvider {
+		
+		public void inputChanged(Viewer v, Object oldInput, Object newInput) {}
+		
+		public void dispose() {}
+		
+		public Object[] getElements(Object parent) {
+			return new String[] { "One", "Two", "Three" };
+		}
+	}
+	
+	class ViewLabelProvider extends LabelProvider implements ITableLabelProvider {
+		
+		public String getColumnText(Object obj, int index) {
+			return getText(obj);
+		}
+		
+		public Image getColumnImage(Object obj, int index) {
+			return getImage(obj);
+		}
+		
+		public Image getImage(Object obj) {
+			return PlatformUI.getWorkbench().getSharedImages().getImage(ISharedImages.IMG_OBJ_ELEMENT);
+		}
+	}
+	
+	class NameSorter extends ViewerSorter {
+	}
+	
+	/**
+	 * The constructor.
+	 */
+	public SampleView() {}
+	
+	/**
+	 * This is a callback that will allow us
+	 * to create the viewer and initialize it.
+	 */
+	public void createPartControl(Composite parent) {
+		viewer = new TableViewer(parent, SWT.MULTI | SWT.H_SCROLL | SWT.V_SCROLL);
+		viewer.setContentProvider(new ViewContentProvider());
+		viewer.setLabelProvider(new ViewLabelProvider());
+		viewer.setSorter(new NameSorter());
+		viewer.setInput(getViewSite());
+		
+		// Create the help context id for the viewer's control
+		PlatformUI.getWorkbench().getHelpSystem().setHelp(viewer.getControl(), "org.txm.groovy.rcp.viewer");
+		makeActions();
+		hookContextMenu();
+		hookDoubleClickAction();
+		contributeToActionBars();
+	}
+	
+	private void hookContextMenu() {
+		MenuManager menuMgr = new MenuManager("#PopupMenu");
+		menuMgr.setRemoveAllWhenShown(true);
+		menuMgr.addMenuListener(new IMenuListener() {
+			
+			public void menuAboutToShow(IMenuManager manager) {
+				SampleView.this.fillContextMenu(manager);
+			}
+		});
+		Menu menu = menuMgr.createContextMenu(viewer.getControl());
+		viewer.getControl().setMenu(menu);
+		getSite().registerContextMenu(menuMgr, viewer);
+	}
+	
+	private void contributeToActionBars() {
+		IActionBars bars = getViewSite().getActionBars();
+		fillLocalPullDown(bars.getMenuManager());
+		fillLocalToolBar(bars.getToolBarManager());
+	}
+	
+	private void fillLocalPullDown(IMenuManager manager) {
+		manager.add(action1);
+		manager.add(new Separator());
+		manager.add(action2);
+	}
+	
+	private void fillContextMenu(IMenuManager manager) {
+		manager.add(action1);
+		manager.add(action2);
+		// Other plug-ins can contribute there actions here
+		manager.add(new Separator(IWorkbenchActionConstants.MB_ADDITIONS));
+	}
+	
+	private void fillLocalToolBar(IToolBarManager manager) {
+		manager.add(action1);
+		manager.add(action2);
+	}
+	
+	private void makeActions() {
+		action1 = new Action() {
+			
+			public void run() {
+				showMessage("Action 1 executed");
+			}
+		};
+		action1.setText("Action 1");
+		action1.setToolTipText("Action 1 tooltip");
+		action1.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_OBJS_INFO_TSK));
+		
+		action2 = new Action() {
+			
+			public void run() {
+				showMessage("Action 2 executed");
+			}
+		};
+		action2.setText("Action 2");
+		action2.setToolTipText("Action 2 tooltip");
+		action2.setImageDescriptor(PlatformUI.getWorkbench().getSharedImages().getImageDescriptor(ISharedImages.IMG_OBJS_INFO_TSK));
+		doubleClickAction = new Action() {
+			
+			public void run() {
+				ISelection selection = viewer.getSelection();
+				Object obj = ((IStructuredSelection) selection).getFirstElement();
+				showMessage("Double-click detected on " + obj.toString());
+			}
+		};
+	}
+	
+	private void hookDoubleClickAction() {
+		viewer.addDoubleClickListener(new IDoubleClickListener() {
+			
+			public void doubleClick(DoubleClickEvent event) {
+				doubleClickAction.run();
+			}
+		});
+	}
+	
+	private void showMessage(String message) {
+		MessageDialog.openInformation(
+				viewer.getControl().getShell(),
+				"Sample View",
+				message);
+	}
+	
+	/**
+	 * Passing the focus request to the viewer's control.
+	 */
+	public void setFocus() {
+		viewer.getControl().setFocus();
+	}
+}

Property changes on: TXM/trunk/org.txm.groovy.rcp/src/org/txm/groovy/ide/rcp/views/SampleView.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

